<?php

namespace App\Models;

use App\Models\Question;
use App\Models\CustomerPlan;
use App\Models\ProgramExercise;
use App\Models\FitnessCategoryQuestion;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class FitnessCategory extends Model
{
    use HasFactory;

    protected $fillable = [
        'name',
        'type',
    ];

    public function questions()
    {
        return $this->hasMany(Question::class);
    }

    public function fitnessCategoryQuestions()
    {
        return $this->hasMany(FitnessCategoryQuestion::class);
    }

    public function programExercises()
    {
        return $this->hasMany(ProgramExercise::class);
    }

    public function customerPlans()
    {
        return $this->hasMany(CustomerPlan::class);
    }
}
