<?php

namespace App\Models;

use App\Models\FitnessCategory;
use App\Models\BMIRangeExercise;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class ProgramExercise extends Model
{
    use HasFactory;

    protected $fillable = [
        'fitness_category_id',
        'day',
        'gender',
        'exercise_type',
        'exercise_name',
        'sets',
        'reps',
        'rest',
        'description',
        'animation',
        'focus_points',
    ];

    public function fitnessCategory()
    {
        return $this->belongsTo(FitnessCategory::class);
    }

    public function bmi_range_exercises()
    {
        return $this->hasMany(BMIRangeExercise::class);
    }
}
