<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;

class MealSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $program_meal = [
            // BMI range 0.00 to 18.5
            [
                "gender" => "male",
                "meal_name" => 'Breakfast',
                "calories" => 400,
                "protein" => 20,
                "carbs" => 10,
                "fats" => 30
            ],
            [
                "gender" => "male",
                "meal_name" => 'Lunch',
                "calories" => 500,
                "protein" => 40,
                "carbs" => 50,
                "fats" => 10
            ],
            [
                "gender" => "male",
                "meal_name" => 'Snack',
                "calories" => 200,
                "protein" => 15,
                "carbs" => 25,
                "fats" => 5
            ],
            [
                "gender" => "male",
                "meal_name" => 'Dinner',
                "calories" => 600,
                "protein" => 35,
                "carbs" => 45,
                "fats" => 25
            ],
            //  BMI range 18.5 to 24.9
            [
                "gender" => "male",
                "meal_name" => 'Breakfast',
                "calories" => 250,
                "protein" => 15,
                "carbs" => 40,
                "fats" => 5
            ],
            [
                "gender" => "male",
                "meal_name" => 'Lunch',
                "calories" => 400,
                "protein" => 30,
                "carbs" => 20,
                "fats" => 15
            ],
            [
                "gender" => "male",
                "meal_name" => 'Snacks',
                "calories" => 150,
                "protein" => 3,
                "carbs" => 20,
                "fats" => 7
            ],
            [
                "gender" => "male",
                "meal_name" => 'Dinner',
                "calories" => 600,
                "protein" => 40,
                "carbs" => 40,
                "fats" => 25
            ],
            //  BMI range 25 to 29.9
            [
                "gender" => "male",
                "meal_name" => 'Breakfast',
                "calories" => 350,
                "protein" => 10,
                "carbs" => 60,
                "fats" => 5
            ],
            [
                "gender" => "male",
                "meal_name" => 'Lunch',
                "calories" => 200,
                "protein" => 15,
                "carbs" => 20,
                "fats" => 10
            ],
            [
                "gender" => "male",
                "meal_name" => 'Snacks',
                "calories" => 150,
                "protein" => 3,
                "carbs" => 20,
                "fats" => 7
            ],
            [
                "gender" => "male",
                "meal_name" => 'Dinner',
                "calories" => 600,
                "protein" => 40,
                "carbs" => 40,
                "fats" => 25
            ],

            //  BMI range 30 to 99
            [
                "gender" => "male",
                "meal_name" => 'Breakfast',
                "calories" => 350,
                "protein" => 20,
                "carbs" => 10,
                "fats" => 25
            ],
            [
                "gender" => "male",
                "meal_name" => 'Lunch',
                "calories" => 500,
                "protein" => 40,
                "carbs" => 20,
                "fats" => 15
            ],
            [
                "gender" => "male",
                "meal_name" => 'Snack',
                "calories" => 250,
                "protein" => 5,
                "carbs" => 10,
                "fats" => 20
            ],
            [
                "gender" => "male",
                "meal_name" => 'Dinner',
                "calories" => 600,
                "protein" => 40,
                "carbs" => 40,
                "fats" => 25
            ],



            // female
            [
                "gender" => "female",
                "meal_name" => 'Breakfast',
                "calories" => 400,
                "protein" => 20,
                "carbs" => 10,
                "fats" => 30
            ],
            [
                "gender" => "female",
                "meal_name" => 'Lunch',
                "calories" => 500,
                "protein" => 40,
                "carbs" => 50,
                "fats" => 10
            ],
            [
                "gender" => "female",
                "meal_name" => 'Snack',
                "calories" => 200,
                "protein" => 15,
                "carbs" => 25,
                "fats" => 5
            ],
            [
                "gender" => "female",
                "meal_name" => 'Dinner',
                "calories" => 600,
                "protein" => 35,
                "carbs" => 45,
                "fats" => 25
            ],
            //  BMI range 18.5 to 24.9
            [
                "gender" => "female",
                "meal_name" => 'Breakfast',
                "calories" => 250,
                "protein" => 15,
                "carbs" => 40,
                "fats" => 5
            ],
            [
                "gender" => "female",
                "meal_name" => 'Lunch',
                "calories" => 400,
                "protein" => 30,
                "carbs" => 20,
                "fats" => 15
            ],
            [
                "gender" => "female",
                "meal_name" => 'Snacks',
                "calories" => 150,
                "protein" => 3,
                "carbs" => 20,
                "fats" => 7
            ],
            [
                "gender" => "female",
                "meal_name" => 'Dinner',
                "calories" => 600,
                "protein" => 40,
                "carbs" => 40,
                "fats" => 25
            ],
            //  BMI range 25 to 29.9
            [
                "gender" => "female",
                "meal_name" => 'Breakfast',
                "calories" => 350,
                "protein" => 10,
                "carbs" => 60,
                "fats" => 5
            ],
            [
                "gender" => "female",
                "meal_name" => 'Lunch',
                "calories" => 200,
                "protein" => 15,
                "carbs" => 20,
                "fats" => 10
            ],
            [
                "gender" => "female",
                "meal_name" => 'Snacks',
                "calories" => 150,
                "protein" => 3,
                "carbs" => 20,
                "fats" => 7
            ],
            [
                "gender" => "female",
                "meal_name" => 'Dinner',
                "calories" => 600,
                "protein" => 40,
                "carbs" => 40,
                "fats" => 25
            ],

            //  BMI range 30 to 99
            [
                "gender" => "female",
                "meal_name" => 'Breakfast',
                "calories" => 350,
                "protein" => 20,
                "carbs" => 10,
                "fats" => 25
            ],
            [
                "gender" => "female",
                "meal_name" => 'Lunch',
                "calories" => 500,
                "protein" => 40,
                "carbs" => 20,
                "fats" => 15
            ],
            [
                "gender" => "female",
                "meal_name" => 'Snack',
                "calories" => 250,
                "protein" => 5,
                "carbs" => 10,
                "fats" => 20
            ],
            [
                "gender" => "female",
                "meal_name" => 'Dinner',
                "calories" => 600,
                "protein" => 40,
                "carbs" => 40,
                "fats" => 25
            ],
        ];

        DB::table('program_meals')->insert($program_meal);
    }
}
