<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;

class ProgramMealSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $program_meals =
            [
                [
                    'fitness_category_id' => 1,
                    'gender' => 'male',
                    'meal_name' => 'Oatmeal with banana and almond milk',
                    'calories' => 400,
                    'protein' => 10,
                    'carbs' => 70,
                    'fats' => 8,
                    'description' => 'Quick and easy oatmeal with sliced banana and almond milk',
                ],
                [
                    'fitness_category_id' => 1,
                    'gender' => 'male',
                    'meal_name' => 'Brown rice with stir-fried veggies and tofu',
                    'calories' => 500,
                    'protein' => 20,
                    'carbs' => 85,
                    'fats' => 10,
                    'description' => 'Brown rice with stir-fried veggies and tofu',
                ],
                [
                    'fitness_category_id' => 1,
                    'gender' => 'male',
                    'meal_name' => 'Grilled chicken salad with vinaigrette',
                    'calories' => 450,
                    'protein' => 30,
                    'carbs' => 20,
                    'fats' => 28,
                    'description' => 'Grilled chicken breast served over mixed greens with a vinaigrette dressing',
                ],
                [
                    'fitness_category_id' => 1,
                    'gender' => 'male',
                    'meal_name' => 'Greek yogurt with berries and granola',
                    'calories' => 350,
                    'protein' => 25,
                    'carbs' => 40,
                    'fats' => 10,
                    'description' => 'Greek yogurt topped with mixed berries and granola',
                ],
                [
                    'fitness_category_id' => 1,
                    'gender' => 'male',
                    'meal_name' => 'Grilled salmon with sweet potato and steamed broccoli',
                    'calories' => 550,
                    'protein' => 35,
                    'carbs' => 35,
                    'fats' => 28,
                    'description' => 'Grilled salmon fillet with roasted sweet potato and steamed broccoli',
                ],
                [
                    'fitness_category_id' => 1,
                    'gender' => 'male',
                    'meal_name' => 'Whole wheat pasta with marinara sauce and meatballs',
                    'calories' => 300,
                    'protein' => 25,
                    'carbs' => 90,
                    'fats' => 15,
                    'description' => 'Whole wheat pasta with marinara sauce and meatballs',
                ],
                [
                    'fitness_category_id' => 1,
                    'gender' => 'male',
                    'meal_name' => 'Scrambled eggs with spinach and whole wheat toast',
                    'calories' => 400,
                    'protein' => 25,
                    'carbs' => 35,
                    'fats' => 20,
                    'description' => 'Scrambled eggs with spinach and whole wheat toast',
                ],
                [
                    'fitness_category_id' => 3,
                    'gender' => 'male',
                    'meal_name' => 'Eggs with Avocado Toast',
                    'calories' => 400,
                    'protein' => 25,
                    'carbs' => 35,
                    'fats' => 20,
                    'description' => 'Eggs with Avocado Toast',
                ],
                [
                    'fitness_category_id' => 3,
                    'gender' => 'male',
                    'meal_name' => 'Turkey and Swiss Sandwich',
                    'calories' => 450,
                    'protein' => 30,
                    'carbs' => 45,
                    'fats' => 15,
                    'description' => 'Turkey and Swiss Sandwich',
                ],
                [
                    'fitness_category_id' => 3,
                    'gender' => 'male',
                    'meal_name' => 'Grilled Chicken Breast with Brown Rice',
                    'calories' => 500,
                    'protein' => 40,
                    'carbs' => 45,
                    'fats' => 15,
                    'description' => 'Grilled Chicken Breast with Brown Rice',
                ],
                [
                    'fitness_category_id' => 3,
                    'gender' => 'male',
                    'meal_name' => 'Greek Yogurt with Berries and Granola',
                    'calories' => 350,
                    'protein' => 25,
                    'carbs' => 40,
                    'fats' => 10,
                    'description' => 'Greek Yogurt with Berries and Granola',
                ],
                [
                    'fitness_category_id' => 3,
                    'gender' => 'male',
                    'meal_name' => 'Hummus and Veggie Wrap',
                    'calories' => 350,
                    'protein' => 20,
                    'carbs' => 45,
                    'fats' => 15,
                    'description' => 'Hummus and Veggie Wrap',
                ],
                [
                    'fitness_category_id' => 3,
                    'gender' => 'male',
                    'meal_name' => 'Beef Stir Fry with Quinoa',
                    'calories' => 550,
                    'protein' => 40,
                    'carbs' => 50,
                    'fats' => 20,
                    'description' => 'Beef Stir Fry with Quinoa',
                ],
                [
                    'fitness_category_id' => 3,
                    'gender' => 'male',
                    'meal_name' => 'Peanut Butter Banana Smoothie',
                    'calories' => 350,
                    'protein' => 20,
                    'carbs' => 45,
                    'fats' => 15,
                    'description' => 'Peanut Butter Banana Smoothie',
                ],
                [
                    'fitness_category_id' => 5,
                    'gender' => 'male',
                    'meal_name' => 'Oatmeal and Berries',
                    'calories' => 350,
                    'protein' => 14,
                    'carbs' => 62,
                    'fats' => 6,
                    'description' => 'Oatmeal and Berries',
                ],
                [
                    'fitness_category_id' => 5,
                    'gender' => 'male',
                    'meal_name' => 'Grilled Chicken Salad',
                    'calories' => 400,
                    'protein' => 30,
                    'carbs' => 25,
                    'fats' => 25,
                    'description' => 'Grilled Chicken Salad',
                ],
                [
                    'fitness_category_id' => 5,
                    'gender' => 'male',
                    'meal_name' => 'Turkey and Cheese Wrap',
                    'calories' => 350,
                    'protein' => 22,
                    'carbs' => 20,
                    'fats' => 16,
                    'description' => 'Turkey and Cheese Wrap',
                ],
                [
                    'fitness_category_id' => 5,
                    'gender' => 'male',
                    'meal_name' => 'Tuna and Avocado Sandwich',
                    'calories' => 450,
                    'protein' => 28,
                    'carbs' => 40,
                    'fats' => 20,
                    'description' => 'Tuna and Avocado Sandwich',
                ],
                [
                    'fitness_category_id' => 5,
                    'gender' => 'male',
                    'meal_name' => 'Stir-Fry with Brown Rice',
                    'calories' => 500,
                    'protein' => 35,
                    'carbs' => 60,
                    'fats' => 15,
                    'description' => 'Stir-Fry with Brown Rice',
                ],
                [
                    'fitness_category_id' => 5,
                    'gender' => 'male',
                    'meal_name' => 'Spaghetti Bolognese',
                    'calories' => 550,
                    'protein' => 30,
                    'carbs' => 70,
                    'fats' => 18,
                    'description' => 'Spaghetti Bolognese',
                ],
                [
                    'fitness_category_id' => 5,
                    'gender' => 'male',
                    'meal_name' => 'Grilled Fish with Vegetables',
                    'calories' => 450,
                    'protein' => 28,
                    'carbs' => 35,
                    'fats' => 20,
                    'description' => 'Grilled Fish with Vegetables',
                ],
                [
                    'fitness_category_id' => 5,
                    'gender' => 'male',
                    'meal_name' => 'Omelette',
                    'calories' => 500,
                    'protein' => 30,
                    'carbs' => 10,
                    'fats' => 40,
                    'description' => 'Omelette',
                ],
                [
                    'fitness_category_id' => 5,
                    'gender' => 'male',
                    'meal_name' => 'Grilled chicken breast',
                    'calories' => 600,
                    'protein' => 50,
                    'carbs' => 5,
                    'fats' => 45,
                    'description' => 'Grilled chicken breast',
                ],
                [
                    'fitness_category_id' => 5,
                    'gender' => 'male',
                    'meal_name' => 'Protein shake',
                    'calories' => 250,
                    'protein' => 30,
                    'carbs' => 10,
                    'fats' => 15,
                    'description' => 'Protein shake',
                ],
                [
                    'fitness_category_id' => 5,
                    'gender' => 'male',
                    'meal_name' => 'Turkey burger',
                    'calories' => 600,
                    'protein' => 40,
                    'carbs' => 30,
                    'fats' => 30,
                    'description' => 'Turkey burger',
                ],
            ];

        DB::table('program_meals')->insert($program_meals);
    }
}
