<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\BMIRangeController;
use App\Http\Controllers\QuestionController;
use App\Http\Controllers\ProgramMealController;
use App\Http\Controllers\QuestionTypeController;
use App\Http\Controllers\FitnessCategoryController;
use App\Http\Controllers\ProgramExerciseController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get('/', [HomeController::class, 'index']);

Auth::routes();

Route::get('/home', [HomeController::class, 'index'])->name('home');

// Fitness category resource routes
Route::resource('fitness-category', FitnessCategoryController::class);

// Question type resource routes
Route::resource('question-type', QuestionTypeController::class);

// Question resource routes
Route::resource('question', QuestionController::class);

// Program Exercise resource routes
Route::resource('program-exercise', ProgramExerciseController::class);

// Program meal resource routes
Route::resource('program-meal', ProgramMealController::class);

// BMI range resource routes
Route::resource('bmi-range', BMIRangeController::class);
