<?php $__env->startSection('content'); ?>
    <div class="card">
        <div class="card-body">
            <div class="row mb-3">
                <div class="col">
                    <h4 class="card-title">BMI Ranges</h4>
                </div>
                <div class="col text-end">
                    <button type="button" class="btn btn-primary text-white" data-bs-toggle="modal"
                        data-bs-target="#addBMIRangeModal">Add BMI Range</button>
                </div>
            </div>
            <div class="table-responsive">
                <table class="table table-striped" id="myTable">
                    <thead>
                        <tr>
                            <th>S.NO</th>
                            <th>BMI Range</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $__currentLoopData = $bmi_ranges; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $bmi_range): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td><?php echo e($loop->iteration); ?></td>
                                <td><?php echo e($bmi_range->bmi_from); ?> - <?php echo e($bmi_range->bmi_to); ?></td>
                                <td>
                                    <div class="dropdown">
                                        <button class="btn btn-primary text-white dropdown-toggle dropdown-toggle-no-arrow"
                                            type="button" id="dropdownMenuButton1" data-bs-toggle="dropdown"
                                            aria-expanded="false">
                                            <i class="bi bi-three-dots"></i>
                                        </button>

                                        <ul class="dropdown-menu" aria-labelledby="dropdownMenuButton1">
                                            <li>
                                                <a class="dropdown-item"
                                                    href="<?php echo e(route('bmi-range.edit', $bmi_range->id)); ?>">
                                                    Edit
                                                </a>
                                            </li>
                                            <li>
                                                <a class="dropdown-item"
                                                    href="<?php echo e(route('bmi-range.destroy', $bmi_range->id)); ?>"
                                                    onclick="event.preventDefault();
                                                        swal({
                                                            title: 'Are you sure?',
                                                            text: 'Once deleted, you will not be able to recover this bmi range!',
                                                            icon: 'warning',
                                                            buttons: true,
                                                            dangerMode: true,
                                                        }).then((willDelete) => {
                                                            if (willDelete) {
                                                                document.getElementById('delete-form-<?php echo e($bmi_range->id); ?>').submit();
                                                            }
                                                        });">Delete
                                                </a>
                                                <form id="delete-form-<?php echo e($bmi_range->id); ?>"
                                                    action="<?php echo e(route('bmi-range.destroy', $bmi_range->id)); ?>"
                                                    method="POST" style="display: none;">
                                                    <?php echo csrf_field(); ?>
                                                    <?php echo method_field('DELETE'); ?>
                                                </form>
                                            </li>
                                        </ul>
                                    </div>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    
    <script>
        let table = new DataTable('#myTable');
    </script>
    
    <?php if($errors->any()): ?>
        <script>
            $(document).ready(function() {
                $('#addBMIRangeModal').modal('show');
            });
        </script>
    <?php endif; ?>
    <!-- Modal -->
    <div class="modal fade" id="addBMIRangeModal" tabindex="-1" aria-labelledby="addBMIRangeModalLabel"
        aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="addBMIRangeModalLabel">Add BMI Range</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="card">
                        <div class="card-body">
                            <form class="forms-sample" method="POST" action="<?php echo e(route('bmi-range.store')); ?>">
                                <?php echo csrf_field(); ?>
                                <div class="form-group pt-3">
                                    <label>BMI From</label>
                                    <input type="text" class="form-control <?php $__errorArgs = ['bmi_from'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"
                                        name="bmi_from" id="bmi_from" placeholder="Enter BMI from"
                                        value="<?php echo e(old('bmi_from')); ?>" required>
                                    <?php $__errorArgs = ['bmi_from'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <div class="invalid-feedback"><?php echo e($message); ?></div>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                                <div class="form-group pt-3">
                                    <label>BMI To</label>
                                    <input type="text" class="form-control <?php $__errorArgs = ['bmi_to'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"
                                        name="bmi_to" id="bmi_to" placeholder="Enter BMI from"
                                        value="<?php echo e(old('bmi_to')); ?>" required>
                                    <?php $__errorArgs = ['bmi_to'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <div class="invalid-feedback"><?php echo e($message); ?></div>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                                <button type="submit" class="btn btn-primary me-2 text-white">Submit</button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layout.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xampp\htdocs\fitness-app\resources\views/admin/bmi_range/index.blade.php ENDPATH**/ ?>