<?php $__env->startSection('content'); ?>
    <div class="card">
        <div class="card-body">
            <div class="row mb-3">
                <div class="col">
                    <h4 class="card-title">Program Exercise</h4>
                </div>
                <div class="col text-end">
                    <button type="button" class="btn btn-primary text-white" data-bs-toggle="modal"
                        data-bs-target="#addProgramExerciseModal">Add Program Exercise</button>
                </div>
            </div>
            <div class="table-responsive">
                <table class="table table-striped" id="myTable">
                    <thead>
                        <tr>
                            <th>S.NO</th>
                            <th>Fitness Category</th>
                            <th>BMI</th>
                            <th>Day</th>
                            <th>Gender</th>
                            <th>Exercise Type</th>
                            <th>Exercise Name</th>
                            <th>Sets</th>
                            <th>Reps</th>
                            <th>Rest</th>
                            <th>Animation</th>
                            <th>Focus Points</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $__currentLoopData = $program_exercises; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $program_exercise): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php
                                $bmi_ranges = [];
                                foreach ($program_exercise->bmi_range_exercises as $bmi_range_exercise) {
                                    $bmi_ranges[] = $bmi_range_exercise->bmi_range->bmi_from . ' - ' . $bmi_range_exercise->bmi_range->bmi_to;
                                }
                                $comma_separated_bmi = implode(', ', $bmi_ranges);
                            ?>
                            <tr>
                                <td><?php echo e($loop->iteration); ?></td>
                                <td><?php echo e($program_exercise->fitnessCategory->name); ?></td>
                                <td>
                                    <?php echo e($comma_separated_bmi); ?>

                                </td>
                                <td><?php echo e($program_exercise->day); ?></td>
                                <td><?php echo e($program_exercise->gender); ?></td>
                                <td><?php echo e($program_exercise->exercise_type); ?></td>
                                <td><?php echo e($program_exercise->exercise_name); ?></td>
                                <td><?php echo e($program_exercise->sets); ?></td>
                                <td><?php echo e($program_exercise->reps); ?></td>
                                <td><?php echo e($program_exercise->rest); ?> sec</td>
                                <td>
                                    <img src="<?php echo e(asset($program_exercise->animation)); ?>" alt="Animation" class="animation">
                                </td>

                                <td>
                                    <?php $__currentLoopData = explode(',', $program_exercise->focus_points); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $image): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <img src="<?php echo e(asset($image)); ?>" alt="Focus Point" class="focus-point-image">
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </td>
                                <td>
                                    <div class="dropdown">
                                        <button class="btn btn-primary text-white dropdown-toggle dropdown-toggle-no-arrow"
                                            type="button" id="dropdownMenuButton1" data-bs-toggle="dropdown"
                                            aria-expanded="false">
                                            <i class="bi bi-three-dots"></i>
                                        </button>

                                        <ul class="dropdown-menu" aria-labelledby="dropdownMenuButton1">
                                            <li>
                                                <a class="dropdown-item"
                                                    href="<?php echo e(route('program-exercise.edit', $program_exercise->id)); ?>">
                                                    Edit
                                                </a>
                                            </li>
                                            <li>
                                                <a class="dropdown-item"
                                                    href="<?php echo e(route('program-exercise.destroy', $program_exercise->id)); ?>"
                                                    onclick="event.preventDefault();
                                                        swal({
                                                            title: 'Are you sure?',
                                                            text: 'Once deleted, you will not be able to recover this program exercise!',
                                                            icon: 'warning',
                                                            buttons: true,
                                                            dangerMode: true,
                                                        }).then((willDelete) => {
                                                            if (willDelete) {
                                                                document.getElementById('delete-form-<?php echo e($program_exercise->id); ?>').submit();
                                                            }
                                                        });">Delete
                                                </a>
                                                <form id="delete-form-<?php echo e($program_exercise->id); ?>"
                                                    action="<?php echo e(route('program-exercise.destroy', $program_exercise->id)); ?>"
                                                    method="POST" style="display: none;">
                                                    <?php echo csrf_field(); ?>
                                                    <?php echo method_field('DELETE'); ?>
                                                </form>
                                            </li>
                                        </ul>
                                    </div>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    
    <script>
        let table = new DataTable('#myTable');
    </script>
    
    <?php if($errors->any()): ?>
        <script>
            $(document).ready(function() {
                $('#addProgramExerciseModal').modal('show');
            });
        </script>
    <?php endif; ?>
    <!-- Modal -->
    <div class="modal fade" id="addProgramExerciseModal" tabindex="-1" aria-labelledby="addProgramExerciseModalLabel"
        aria-hidden="true">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="addProgramExerciseModalLabel">Add Program Exercise</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="card">
                        <div class="card-body">
                            <form class="forms-sample" method="POST" action="<?php echo e(route('program-exercise.store')); ?>"
                                enctype="multipart/form-data">
                                <?php echo csrf_field(); ?>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label for="fitness_category_id">Fitness Category</label>
                                            <select class="form-control <?php $__errorArgs = ['fitness_category_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"
                                                name="fitness_category_id" id="fitness_category_id" required>
                                                <option value="">Select Fitness Category</option>
                                                <?php $__currentLoopData = $fitnessCategories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $fitnessCategory): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($fitnessCategory->id); ?>"
                                                        <?php echo e(old('fitness_category_id') == $fitnessCategory->id ? 'selected' : ''); ?>>
                                                        <?php echo e($fitnessCategory->name); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </select>
                                            <?php $__errorArgs = ['fitness_category_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                <div class="invalid-feedback"><?php echo e($message); ?></div>
                                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label for="gender">Gender</label>
                                            <select class="form-control <?php $__errorArgs = ['gender'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"
                                                name="gender" id="gender" required>
                                                <option value="">Select Gender</option>
                                                <option value="male" <?php echo e(old('gender') === 'male' ? 'selected' : ''); ?>>
                                                    Male</option>
                                                <option value="female" <?php echo e(old('gender') === 'female' ? 'selected' : ''); ?>>
                                                    Female</option>
                                                <option value="other" <?php echo e(old('gender') === 'other' ? 'selected' : ''); ?>>
                                                    Other</option>
                                            </select>
                                            <?php $__errorArgs = ['gender'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                <div class="invalid-feedback"><?php echo e($message); ?></div>
                                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                        </div>
                                    </div>
                                    <div class="form-group pt-3">
                                        <label for="bmi_range_id">BMI Range</label>
                                        <div class="row">
                                            <?php $__currentLoopData = $bmiRanges; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $bmiRange): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <div class="col-3">
                                                    <div class="form-check form-check-inline">
                                                        <input
                                                            class="form-check-input ms-1 <?php $__errorArgs = ['bmi_range_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"
                                                            type="checkbox" name="bmi_range_id[]"
                                                            id="bmi_range_id<?php echo e($bmiRange->id); ?>"
                                                            value="<?php echo e($bmiRange->id); ?>"
                                                            <?php if(is_array(old('bmi_range_id')) && in_array($bmiRange->id, old('bmi_range_id'))): ?> checked <?php endif; ?> required>
                                                        <label class="form-check-label"
                                                            for="bmi_range_id<?php echo e($bmiRange->id); ?>">
                                                            <?php echo e($bmiRange->bmi_from); ?> - <?php echo e($bmiRange->bmi_to); ?>

                                                        </label>
                                                    </div>
                                                </div>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            <?php $__errorArgs = ['bmi_range_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                <div class="col-12">
                                                    <div class="invalid-feedback"><?php echo e($message); ?></div>
                                                </div>
                                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                        </div>
                                    </div>

                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label for="exercise_type">Exercise Type</label>
                                            <select class="form-control <?php $__errorArgs = ['exercise_type'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"
                                                name="exercise_type" id="exercise_type" required>
                                                <option value="">Select Exercise Type</option>
                                                <option value="at home"
                                                    <?php echo e(old('exercise_type') == 'at home' ? 'selected' : ''); ?>>At Home
                                                </option>
                                                <option value="at gym"
                                                    <?php echo e(old('exercise_type') == 'at gym' ? 'selected' : ''); ?>>At Gym
                                                </option>
                                            </select>
                                            <?php $__errorArgs = ['exercise_type'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                <div class="invalid-feedback"><?php echo e($message); ?></div>
                                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                        </div>
                                    </div>

                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label for="exercise_name">Exercise Name</label>
                                            <input type="text"
                                                class="form-control <?php $__errorArgs = ['exercise_name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"
                                                name="exercise_name" id="exercise_name" placeholder="Enter Exercise Name"
                                                value="<?php echo e(old('exercise_name')); ?>" required>
                                            <?php $__errorArgs = ['exercise_name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                <div class="invalid-feedback"><?php echo e($message); ?></div>
                                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-4">
                                            <div class="form-group border p-3">
                                                <label for="sets_month1">Month 1 Sets</label>
                                                <input type="number"
                                                    class="form-control <?php $__errorArgs = ['sets_month1'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"
                                                    name="sets_month1" id="sets_month1" placeholder="Enter Month 1 Sets"
                                                    value="<?php echo e(old('sets_month1')); ?>">
                                                <?php $__errorArgs = ['sets_month1'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="invalid-feedback"><?php echo e($message); ?></div>
                                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                            </div>
                                            <div class="form-group border p-3">
                                                <label for="reps_month1">Month 1 Reps</label>
                                                <input type="number"
                                                    class="form-control <?php $__errorArgs = ['reps_month1'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"
                                                    name="reps_month1" id="reps_month1" placeholder="Enter Month 1 Reps"
                                                    value="<?php echo e(old('reps_month1')); ?>">
                                                <?php $__errorArgs = ['reps_month1'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="invalid-feedback"><?php echo e($message); ?></div>
                                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                            </div>
                                            <div class="form-group border p-3">
                                                <label for="rest_month1">Month 1 Rest Time (seconds)</label>
                                                <input type="number"
                                                    class="form-control <?php $__errorArgs = ['rest_month1'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"
                                                    name="rest_month1" id="rest_month1"
                                                    placeholder="Enter Month 1 Rest Time"
                                                    value="<?php echo e(old('rest_month1')); ?>">
                                                <?php $__errorArgs = ['rest_month1'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="invalid-feedback"><?php echo e($message); ?></div>
                                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                            </div>
                                        </div>

                                        <div class="col-md-4">
                                            <div class="form-group border p-3">
                                                <label for="sets_month2">Month 2 Sets</label>
                                                <input type="number"
                                                    class="form-control <?php $__errorArgs = ['sets_month2'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"
                                                    name="sets_month2" id="sets_month2" placeholder="Enter Month 2 Sets"
                                                    value="<?php echo e(old('sets_month2')); ?>">
                                                <?php $__errorArgs = ['sets_month2'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="invalid-feedback"><?php echo e($message); ?></div>
                                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                            </div>
                                            <div class="form-group border p-3">
                                                <label for="reps_month2">Month 2 Reps</label>
                                                <input type="number"
                                                    class="form-control <?php $__errorArgs = ['reps_month2'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"
                                                    name="reps_month2" id="reps_month2" placeholder="Enter Month 2 Reps"
                                                    value="<?php echo e(old('reps_month2')); ?>">
                                                <?php $__errorArgs = ['reps_month2'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="invalid-feedback"><?php echo e($message); ?></div>
                                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                            </div>
                                            <div class="form-group border p-3">
                                                <label for="rest_month2">Month 2 Rest Time (seconds)</label>
                                                <input type="number"
                                                    class="form-control <?php $__errorArgs = ['rest_month2'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"
                                                    name="rest_month2" id="rest_month2"
                                                    placeholder="Enter Month 2 Rest Time"
                                                    value="<?php echo e(old('rest_month2')); ?>">
                                                <?php $__errorArgs = ['rest_month2'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="invalid-feedback"><?php echo e($message); ?></div>
                                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                            </div>
                                        </div>

                                        <div class="col-md-4">
                                            <div class="form-group border p-3">
                                                <label for="sets_month3">Month 3 Sets</label>
                                                <input type="number"
                                                    class="form-control <?php $__errorArgs = ['sets_month3'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"
                                                    name="sets_month3" id="sets_month3" placeholder="Enter Month 3 Sets"
                                                    value="<?php echo e(old('sets_month3')); ?>">
                                                <?php $__errorArgs = ['sets_month3'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="invalid-feedback"><?php echo e($message); ?></div>
                                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                            </div>
                                            <div class="form-group border p-3">
                                                <label for="reps_month3">Month 3 Reps</label>
                                                <input type="number"
                                                    class="form-control <?php $__errorArgs = ['reps_month3'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"
                                                    name="reps_month3" id="reps_month3" placeholder="Enter Month 3 Reps"
                                                    value="<?php echo e(old('reps_month3')); ?>">
                                                <?php $__errorArgs = ['reps_month3'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="invalid-feedback"><?php echo e($message); ?></div>
                                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                            </div>
                                            <div class="form-group border p-3">
                                                <label for="rest_month3">Month 3 Rest Time (seconds)</label>
                                                <input type="number"
                                                    class="form-control <?php $__errorArgs = ['rest_month3'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"
                                                    name="rest_month3" id="rest_month3"
                                                    placeholder="Enter Month 3 Rest Time"
                                                    value="<?php echo e(old('rest_month3')); ?>">
                                                <?php $__errorArgs = ['rest_month3'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="invalid-feedback"><?php echo e($message); ?></div>
                                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label for="day">Day</label>
                                            <select class="form-control <?php $__errorArgs = ['day'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"
                                                name="day" id="day" required>
                                                <option value="">Select Day</option>
                                                <option value="Day 1" <?php echo e(old('day') == 'Day 1' ? 'selected' : ''); ?>>Day 1
                                                </option>
                                                <option value="Day 2" <?php echo e(old('day') == 'Day 2' ? 'selected' : ''); ?>>Day 2
                                                </option>
                                                <option value="Day 3" <?php echo e(old('day') == 'Day 3' ? 'selected' : ''); ?>>Day 3
                                                </option>
                                                <option value="Day 4" <?php echo e(old('day') == 'Day 4' ? 'selected' : ''); ?>>Day 4
                                                </option>
                                                <option value="Day 5" <?php echo e(old('day') == 'Day 5' ? 'selected' : ''); ?>>Day 5
                                                </option>
                                                <option value="Day 6" <?php echo e(old('day') == 'Day 6' ? 'selected' : ''); ?>>Day 6
                                                </option>
                                            </select>
                                            <?php $__errorArgs = ['day'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                <div class="invalid-feedback"><?php echo e($message); ?></div>
                                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                        </div>
                                    </div>

                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label for="description">Description</label>
                                            <textarea class="form-control <?php $__errorArgs = ['description'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" name="description" id="description"
                                                placeholder="Enter Description" rows="4" required><?php echo e(old('description')); ?></textarea>
                                            <?php $__errorArgs = ['description'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                <div class="invalid-feedback"><?php echo e($message); ?></div>
                                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label for="animation">Animation</label>
                                            <input type="file"
                                                class="form-control <?php $__errorArgs = ['animation'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"
                                                name="animation" id="animation">
                                            <?php $__errorArgs = ['animation'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                <div class="invalid-feedback"><?php echo e($message); ?></div>
                                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label for="focus_points">Focus Points</label>
                                            <input type="file"
                                                class="form-control <?php $__errorArgs = ['focus_points'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"
                                                name="focus_points[]" id="focus_points" multiple>
                                            <?php $__errorArgs = ['focus_points'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                <div class="invalid-feedback"><?php echo e($message); ?></div>
                                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                        </div>
                                    </div>
                                    
                                    <div class="col-md-12">
                                        <button type="submit" class="btn btn-primary mr-2 text-white">Submit</button>
                                    </div>
                                </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script>
        const checkboxes = document.querySelectorAll('input[type=checkbox][name="bmi_range_id[]"]');

        const setCheckboxRequired = () => {
            const checked = Array.from(checkboxes).some((c) => c.checked);
            checkboxes.forEach((c) => c.required = !checked);
        }

        checkboxes.forEach((checkbox) => {
            checkbox.addEventListener('click', setCheckboxRequired);
        });

        // set checkbox required initially if no checkbox is checked
        setCheckboxRequired();
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layout.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xampp\htdocs\fitness-app\resources\views/admin/program_exercise/index.blade.php ENDPATH**/ ?>